Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.interform.FillerAssistCallback Class Reference

Inherits SystemIDisposable.

## Public Types
enum | PopupMenuItem { PopupMenuItem.e_PopupMenuItemNone = 0, PopupMenuItem.e_PopupMenuItemCut = 1, PopupMenuItem.e_PopupMenuItemCopy = 2, PopupMenuItem.e_PopupMenuItemPaste = 3, PopupMenuItem.e_PopupMenuItemDelete = 4, PopupMenuItem.e_PopupMenuItemSelectAll = 5 }
| Enumeration for popup menu item. More...

## Public Member Functions
virtual bool | AppendPopupMenuItem (global::System.IntPtr h_popup_menu, FillerAssistCallback.PopupMenuItem popup_menu_item, string default_string)
| A callback function which is triggered when need to append popup menu item to popup menu. More...
virtual global::System.IntPtr | CreatePopupMenu ()
| A callback function which is triggered when need to create a popup menu. More...
virtual void | DestroyPopupMenu (global::System.IntPtr h_popup_menu)
| A callback function which is triggered when need to destroy popup menu. More...
virtual bool | EnablePopupMenuItem (global::System.IntPtr h_popup_menu, FillerAssistCallback.PopupMenuItem popup_menu_item, bool is_enabled)
| A callback function which is triggered when need to enable specified popup menu item in popup menu. More...
virtual void | FocusGotOnControl (Control control, string value)
| A callback function which is triggered when the focus is set to a form control. More...
virtual void | FocusLostFromControl (Control control, string value)
| A callback function which is triggered when the focus is lost from a form control. More...
virtual string | GetClipboardText ()
| A callback function which is triggered when need to get the text on clipboard. More...
virtual int | GetVersion ()
| Get the version of derived implementation, for compatibility reason. More...
virtual bool | KillTimer (int timer_id)
| A callback function used to kill the timer event by timer identifier. More...
virtual void | Refresh (PDFPage page, RectF rect)
| A callback function used to refresh the specified area on a specified page. More...
virtual void | Release ()
| A callback function used to release current callback object itself. More...
virtual void | ReportInvalidValue (string form_field_name, string invalid_value)
| A callback function which is triggered when user entered an invalid value. More...
virtual void | SetClipboardText (string text)
| A callback function which is triggered when need to set clipboard text. More...
virtual bool | SetTimerCallback (int elapse, TimerCallback timer, out int out_timer_id)
| A callback function used to set a system timer. More...
virtual bool | ShowPopupMenu (global::System.IntPtr h_popup_menu, PointF point)
| A callback function which is triggered when need to show popup menu. More...

## Detailed Description

This class represents a callback object to assist form filler. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Enumeration Documentation

## ◆ PopupMenuItem

enum foxit.pdf.interform.FillerAssistCallback.PopupMenuItem
| strong

Enumeration for popup menu item.

Values of this enumeration should be used alone.

Enumerator
e_PopupMenuItemNone | No popup menu item.
e_PopupMenuItemCut | Popup menu item: "Cut".
e_PopupMenuItemCopy | Popup menu item: "Copy".
e_PopupMenuItemPaste | Popup menu item: "Paste".
e_PopupMenuItemDelete | Popup menu item: "Delete".
e_PopupMenuItemSelectAll | Popup menu item: "Select All".

## Member Function Documentation

## ◆ AppendPopupMenuItem()

bool foxit.pdf.interform.FillerAssistCallback.AppendPopupMenuItem | ( | global::System.IntPtr | h_popup_menu,
|  | FillerAssistCallback.PopupMenuItem | popup_menu_item,
|  | string | default_string
| ) |  |
| inline virtual

A callback function which is triggered when need to append popup menu item to popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | popup_menu_item | A value to specify the exact popup menu item. Please refer to values starting from foxit.pdf.interform.FillerAssistCallback.PopupMenuItem.e_PopupMenuItemNone and this would be one of these values.
  [in] | default_string | Default string for the specified popup menu item.

Returns
  true means success, while false means failure.

## ◆ CreatePopupMenu()

global.System.IntPtr foxit.pdf.interform.FillerAssistCallback.CreatePopupMenu | ( |  | ) |
| inline virtual

A callback function which is triggered when need to create a popup menu.

This callback function supports text field, combo box field.

Returns
  Popup menu handle.

## ◆ DestroyPopupMenu()

void foxit.pdf.interform.FillerAssistCallback.DestroyPopupMenu | ( | global::System.IntPtr | h_popup_menu | ) |
| inline virtual

A callback function which is triggered when need to destroy popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.

Returns
  None.

## ◆ EnablePopupMenuItem()

bool foxit.pdf.interform.FillerAssistCallback.EnablePopupMenuItem | ( | global::System.IntPtr | h_popup_menu,
|  | FillerAssistCallback.PopupMenuItem | popup_menu_item,
|  | bool | is_enabled
| ) |  |
| inline virtual

A callback function which is triggered when need to enable specified popup menu item in popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | popup_menu_item | A value to specify the exact popup menu item. Please refer to values starting from foxit.pdf.interform.FillerAssistCallback.PopupMenuItem.e_PopupMenuItemNone and this would be one of these values.
  [in] | is_enabled | A boolean value to decide whether to enable the specified popup menu item or disable it.

Returns
  true means success, while false means failure.

## ◆ FocusGotOnControl()

void foxit.pdf.interform.FillerAssistCallback.FocusGotOnControl | ( | Control | control,
|  | string | value
| ) |  |
| inline virtual

A callback function which is triggered when the focus is set to a form control.

This callback function supports text field, combo box field, list box field, push button field, check box field, radio button field.

Parameters

  [in] | control | The form control object to which the focus is set.
  [in] | value | The value of form field associated with the control. If the control belongs to a push button field, this value would always be an empty string.

Returns
  None.

## ◆ FocusLostFromControl()

void foxit.pdf.interform.FillerAssistCallback.FocusLostFromControl | ( | Control | control,
|  | string | value
| ) |  |
| inline virtual

A callback function which is triggered when the focus is lost from a form control.

This callback function supports text field, combo box field, list box field, push button field, check box field, radio button field.

Parameters

  [in] | control | The form control object, from which the focus is lost.
  [in] | value | The value of form field associated with the control. If the control belongs to a push button field, this value would always be an empty string.

Returns
  None.

## ◆ GetClipboardText()

string foxit.pdf.interform.FillerAssistCallback.GetClipboardText | ( |  | ) |
| inline virtual

A callback function which is triggered when need to get the text on clipboard.

This callback function supports text field, combo box field.

Returns
  The text on clipboard.

## ◆ GetVersion()

int foxit.pdf.interform.FillerAssistCallback.GetVersion | ( |  | ) |
| inline virtual

Get the version of derived implementation, for compatibility reason.

Returns
  Version of derived implementation.

## ◆ KillTimer()

bool foxit.pdf.interform.FillerAssistCallback.KillTimer | ( | int | timer_id | ) |
| inline virtual

A callback function used to kill the timer event by timer identifier.

Parameters

  [in] | timer_id | The timer identifier returned by an earlier calling of callback function FillerAssistCallback.SetTimerCallback .

Returns
  true means success, while false means failure.

## ◆ Refresh()

void foxit.pdf.interform.FillerAssistCallback.Refresh | ( | PDFPage | page,
|  | RectF | rect
| ) |  |
| inline virtual

A callback function used to refresh the specified area on a specified page.

Parameters

  [in] | page | A PDF page object.
  [in] | rect | A rectangle that specifies the area on the page to be redrawn. null means to refresh the whole page.

Returns
  None.

## ◆ Release()

void foxit.pdf.interform.FillerAssistCallback.Release | ( |  | ) |
| inline virtual

A callback function used to release current callback object itself.

Returns
  None.

## ◆ ReportInvalidValue()

void foxit.pdf.interform.FillerAssistCallback.ReportInvalidValue | ( | string | form_field_name,
|  | string | invalid_value
| ) |  |
| inline virtual

A callback function which is triggered when user entered an invalid value.

This callback function supports text field, combo box field.

Parameters

  [in] | form_field_name | The name of form field associated with the control.
  [in] | invalid_value | The invalid value of form field associated with the control.

Returns
  None.

## ◆ SetClipboardText()

void foxit.pdf.interform.FillerAssistCallback.SetClipboardText | ( | string | text | ) |
| inline virtual

A callback function which is triggered when need to set clipboard text.

This callback function supports text field, combo box field.

Parameters

  [in] | text | The text need to be set to clipboard.

Returns
  None.

## ◆ SetTimerCallback()

bool foxit.pdf.interform.FillerAssistCallback.SetTimerCallback | ( | int | elapse,
|  | TimerCallback | timer,
|  | out int | out_timer_id
| ) |  |
| inline virtual

A callback function used to set a system timer.

This callback function is called to install a system timer. When a time-out value is specified, and every time when a time-out occurs, the system passes a message to the timer callback function.

Parameters

  [in] | elapse | Specifies the time-out value, in milliseconds.
  [in] | timer | A TimerCallback object as timer.
  [out] | out_timer_id | Output parameter that receives the timer identifier of the new timer if the function is finished successfully. This value would be passed to callback function FillerAssistCallback.KillTimer to kill the timer. Nonzero if the function is successful; otherwise, this should be zero.

Returns
  true means success, while false means failure.

## ◆ ShowPopupMenu()

bool foxit.pdf.interform.FillerAssistCallback.ShowPopupMenu | ( | global::System.IntPtr | h_popup_menu,
|  | PointF | point
| ) |  |
| inline virtual

A callback function which is triggered when need to show popup menu.

This callback function supports text field, combo box field.

Parameters

  [in] | h_popup_menu | Popup menu handle.
  [in] | point | Left-top point used to locate where to show the popup menu, in PDF coordinate system.

Returns
  true means success, while false means failure.